Subject: Re: [PATCH net-next v2 08/14] net: mvpp2: check the netif is running in the link_event function

From: Antoine Tenart <[email-masked]>
Date: Fri, 25 Aug 2017 19:09:20 +0200

Hi Florian,

On Fri, Aug 25, 2017 at 09:49:15AM -0700, Florian Fainelli wrote:
> On 08/25/2017 07:48 AM, Antoine Tenart wrote:
> > This patch adds an extra check when the link_event function is called,
> > so that it won't do anything when the netif isn't running.
> 
> Why is this needed? Are you possibly starting the PHY state machine
> earlier than your ndo_open() call? Looking quickly through the driver
> does not suggest this is going on since you properly connect to the PHY
> in mvpp2_open() and start the PHY there.

I added some checks while working on this, and kept this one. But I
looked at the driver again and I assume you're right and the patch could
be dropped.

Thanks!
Antoine

-- 
Antoine Ténart, Free Electrons
Embedded Linux and Kernel engineering
http://free-electrons.com